#!../../bin/linux-x86_64/socanTest

## You may have to change socanTest to something else
## everywhere it appears in this file

< envPaths

cd "${TOP}"

## Register all support components
dbLoadDatabase "dbd/socanTest.dbd"
socanTest_registerRecordDeviceDriver pdbbase

# initialize almlib:
alm_init()

# Initialize MCAN:
mcanInit()
gpsInit()
dbg_init()

# Set initHook for MultiCAN:
mCANRegisterInitHooks()

# Enable handshake in LowCAL:
var glbl_lowcal_use_handshake 1

# Override inhibit time with 0 (microseconds):
var glbl_lowcal_override_inhibit 0

# Print messages for errors in GPS layer:
var gpsPrintErrors 0

# init socan
socantest("abc")
#socan_tracelevel(2)
socan_tracelevel(0)
socan_errprintlevel(3)
socan_add_port("vcan0")
socan_add_port("vcan1")
socan_add_port("vcan2")
socan_add_port("vcan3")
socan_init()

## Load record instances
dbLoadRecords("db/socanTest.db","user=goetz")

cd "${TOP}/iocBoot/${IOC}"
iocInit

## Start any sequence programs
#seq sncxxx,"user=goetz"
